Bug 796564 - [abrt] kernel: [102330.128651] BUG: unable to handle kernel NULL pointer dereference at 0000000000000030
[abrt] kernel: [102330.128651] BUG: unable to handle kernel NULL pointer dere...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
abrt_hash:842e26d8953060836e9575a58fd...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-23 03:01 EST by Pierre-Antoine Roiron
Modified: 2012-05-14 13:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Antoine Roiron 2012-02-23 03:01:16 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.6-3.fc16.x86_64 root=/dev/mapper/vg_thinkpad-lv_root ro rd.md=0 rd.dm=0 quiet rd.lvm.lv=vg_thinkpad/lv_swap rhgb rd.lvm.lv=vg_thinkpad/lv_root rd.luks=0 KEYTABLE=fr SYSFONT=latarcyrheb-sun16 LANG=fr_FR.UTF-8
comment:        Waking up from hibernate state.
kernel:         3.2.6-3.fc16.x86_64
reason:         [102330.128651] BUG: unable to handle kernel NULL pointer dereference at 0000000000000030
time:           jeu. 23 févr. 2012 09:01:21 CET

backtrace:
:[102330.128651] BUG: unable to handle kernel NULL pointer dereference at 0000000000000030
:[102330.129564] IP: [<ffffffff81176e50>] __dentry_open+0x2b0/0x360
:[102330.130471] PGD 12b88b067 PUD 1263c7067 PMD 0 
:[102330.131367] Oops: 0000 [#1] SMP 
:[102330.132263] CPU 0 
:[102330.132273] Modules linked in: tcp_lp binfmt_misc fuse ppdev parport_pc ebtable_nat lp ebtables parport ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge fcoe libfcoe libfc 8021q scsi_transport_fc lockd scsi_tgt garp stp llc rfcomm bnep nf_conntrack_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables vhost_net uvcvideo snd_hda_codec_hdmi usblp snd_hda_codec_realtek arc4 macvtap macvlan tun videodev media iwlwifi snd_hda_intel snd_hda_codec mac80211 snd_hwdep btusb virtio_net thinkpad_acpi snd_seq snd_seq_device snd_pcm kvm_intel kvm cfg80211 v4l2_compat_ioctl32 snd_timer r8169 bluetooth sunrpc snd iTCO_wdt snd_page_alloc soundcore rfkill intel_ips mii iTCO_vendor_support serio_raw uinput i2c_i801 microcode joydev ums_realtek usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[102330.139919] 
:[102330.141066] Pid: 31533, comm: abrt-hook-ccpp Tainted: G        W    3.2.6-3.fc16.x86_64 #1 LENOVO 0301GXG/0301GXG
:[102330.142276] RIP: 0010:[<ffffffff81176e50>]  [<ffffffff81176e50>] __dentry_open+0x2b0/0x360
:[102330.143485] RSP: 0018:ffff880116ca3ca8  EFLAGS: 00010206
:[102330.144683] RAX: 0000000000000000 RBX: ffff880129b2f800 RCX: ffff88012c62bc00
:[102330.145897] RDX: ffff88012e56e0d0 RSI: 0000000000008000 RDI: ffff880129b2f870
:[102330.147124] RBP: ffff880116ca3d08 R08: 0000000000000000 R09: 0000000000000000
:[102330.148364] R10: 0000000000000001 R11: 0000000000040002 R12: ffff88012d0c6000
:[102330.149641] R13: ffff88012c62bc00 R14: ffff88012e56e0d0 R15: ffff88012e56e1fc
:[102330.150942] FS:  00007f4cf224a700(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
:[102330.152264] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:[102330.153610] CR2: 0000000000000030 CR3: 000000012b350000 CR4: 00000000000006f0
:[102330.154965] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[102330.156321] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[102330.157673] Process abrt-hook-ccpp (pid: 31533, threadinfo ffff880116ca2000, task ffff88012f90ae40)
:[102330.159035] Stack:
:[102330.160400]  0000000000000000 0000000000000000 0000000000000000 0000000000000000
:[102330.161812]  ffff88012f1f60c0 0000000000000000 0000000000000000 ffff880116ca3e48
:[102330.163224]  ffff88012f1f60c0 0000000000000000 ffff88012e56e0d0 0000000000000024
:[102330.164632] Call Trace:
:[102330.166019]  [<ffffffff81178241>] nameidata_to_filp+0x71/0x80
:[102330.167426]  [<ffffffff81187d3c>] do_last+0x26c/0x8f0
:[102330.168823]  [<ffffffff811884d2>] path_openat+0xd2/0x3c0
:[102330.170232]  [<ffffffff811888e2>] do_filp_open+0x42/0xa0
:[102330.171637]  [<ffffffff8119461f>] ? alloc_fd+0x4f/0x150
:[102330.173050]  [<ffffffff81178347>] do_sys_open+0xf7/0x1d0
:[102330.174458]  [<ffffffff810cdd22>] ? audit_syscall_entry+0x242/0x360
:[102330.175876]  [<ffffffff81178440>] sys_open+0x20/0x30
:[102330.177282]  [<ffffffff815e9982>] system_call_fastpath+0x16/0x1b
:[102330.178684] Code: 74 79 48 89 de 4c 89 f7 ff 55 b0 85 c0 89 45 c8 0f 85 86 fe ff ff 48 8b 83 c8 00 00 00 81 63 38 3f fc ff ff 48 8d 7b 70 48 8b 00 <48> 8b 70 30 e8 17 e7 fa ff f6 43 39 40 0f 84 ad fe ff ff 48 8b 
:[102330.182001] RIP  [<ffffffff81176e50>] __dentry_open+0x2b0/0x360
:[102330.183590]  RSP <ffff880116ca3ca8>
:[102330.185175] CR2: 0000000000000030
:[102330.246416] ---[ end trace 482a1c0795b31d43 ]---
:[102330.552307] EXT4-fs error (device dm-1): ext4_free_inode:289: comm libvirtd: bit already cleared for inode 165031
:[102331.056642] r8169 0000:09:00.0: p5p1: link up
:[102331.057893] ADDRCONF(NETDEV_CHANGE): p5p1: link becomes ready

smolt_data:
:
:
:Général
:=================================
:UUID: 7e134ac2-e5b2-41c3-b037-6700af223787
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 5053.90
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:Stepping du processeur: 5
:Famille de processeur: 6
:Modèle du processeur: 37
:Nombre de processeurs: 4
:Vitesse du processeur: 2533
:Mémoire du système: 3754
:Swap du système: 5791
:Fabricant: LENOVO
:Système: 0301GXG ThinkPad Edge
:Type d'ordinateur: Notebook
:Noyau: 3.2.6-3.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8579) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15180:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:15174:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thinkpad-lv_root / ext4 4096 4096 13092026 8825077 8694055 3276800 3118348 3118348
:/dev/sda1 /boot ext4 1024 1024 508745 409475 383875 128016 127738 127738
:/dev/mapper/vg_thinkpad-lv_home /home ext4 4096 4096 107255458 85257471 79888844 26845184 26799302 26799302
:
Comment 1 Josh Boyer 2012-02-23 07:45:06 EST
More fun with hibernate...
Comment 2 Dave Jones 2012-03-22 12:40:33 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:45:36 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:54:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Josh Boyer 2012-03-28 13:59:27 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.